import { ReactElement } from 'react';
import type { Root } from 'react-dom/client';
declare const MARK = "__rc_ui_lib_root__";
type ContainerType = (Element | DocumentFragment) & {
    [MARK]?: Root;
};
export declare function render(node: ReactElement, container: ContainerType): void;
export declare function unmount(container: ContainerType): boolean | Promise<void>;
export {};
